Saltar al contenido
Developer Docs

Detalles de la operación

GET
/flow/v1/operations/{uuid}

Devuelve toda la información de una operación concreta. La fuente principal de verdad para la integración con ERP.

Incluye estado, tipo, caducidad, fechas y configuración. Para operaciones PAYMENT también devuelve los detalles del pago PSD2 y el paymentUuid necesario para recuperar el registro de pago una vez que la operación está COMPLETED.

Autorizaciones

OAuth2

Esquema de seguridad OAuth2

clientCredentials Flow
Token URL"/api/v2/auth/token"
Scopes:
  • "zertiban-api"Access to the API

Parámetros

Header Parameters

x-tenant-id*

Identificador del tenant que contiene el UUID del negocio

Tipo
string
Requerido

Path Parameters

uuid*
Tipo
string
Requerido
Formato
"uuid"

Respuestas

Detalles de la operación

application/json
JSON
{
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
"externalId": "EXT-99",
  
"configurationUuid": "e4f2b446-30c3-4e4e-a767-188c552ca459",
  
"status": "CREATED",
  
"type": "PAYMENT",
  
"expirationOffset": "P7D",
  
"expiresAt": "2025-09-25T10:00:00Z",
  
"createdAt": "2025-09-25T10:00:00Z",
  
"flowUuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
"synchronous": true,
  
"payment": {
  
  
"paymentUuid": "d0986926-2b7c-44f2-8d14-0a283cfe4886",
  
  
"amount": 176483,
  
  
"currency": "EUR",
  
  
"types": [
  
  
  
[
  
  
  
  
"PSD2_PAYMENT"
  
  
  
]
  
  
],
  
  
"psd2Payment": {
  
  
  
"type": "FUTURE_PAYMENT",
  
  
  
"product": "INSTANT_SEPA_CREDIT_TRANSFER",
  
  
  
"requestedExecutionDate": "2025-10-01",
  
  
  
"creditorAccount": {
  
  
  
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175"
  
  
  
}
  
  
},
  
  
"concept": "Pago factura 9911",
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
  
  
  
"type": "INVOICE",
  
  
  
  
"name": "Factura 9911"
  
  
  
}
  
  
],
  
  
"subject": {
  
  
  
"name": "Luis",
  
  
  
"lastName": "Gómez",
  
  
  
"email": "[email protected]"
  
  
}
  
},
  
"invoice": {
  
  
"externalId": "INV-9911",
  
  
"dueDate": "2025-10-30T00:00:00Z",
  
  
"collectedAmount": {
  
  
  
"amount": 12343,
  
  
  
"currency": "EUR"
  
  
}
  
}
}

Playground

Autorización
Headers
Variables
Key
Value

Ejemplos